/**
 * ボタンイベント
 */

 var confirmDelete = (lang == "en" ? 
    "Once deleted, it can not be recovered. are you really going to delete it?" : 
    "一旦データを削除すると、元に戻す事はできません。\n本当に削除しますか？"   
 );

$(function() {
	$('#btnCreate').click(function() {
		actionCreate();
	});

	$('#btnBack').click(function() {
		$('#type').val('');
		submitForm();
	});

	$('#btnRegist').click(function() {
		releaseDisable();
		submitForm();
	});

	if($('#action').val() == 'mst_fee_modify') {
		changeDisable();
	}
});




/**
 * 新規作成
 */
function actionCreate() {
	$('#type').val('create');
	submitForm();
}

/**
 * 編集
 */
function actionEdit(fId) {

	// パラメータの設定
	$('#f_id').val(fId);
	$('#type').val('edit');

	submitForm();
}

/**
 * 削除
 */
function actionDelete(fId) {

	if(confirm(confirmDelete)) {

		// パラメータの設定
		$('#f_id').val(fId);
		$('#type').val('delete');

		submitForm();
	}
}

/**
 * 有効・無効の切り替え
 */
function changeDisable(target) {

	// 月額維持費（個人）
	if($("input[name='monthly_person']:checked").val() == '0') {
		$('#monthly_person_fix_value').attr('disabled', false);
		$('#monthly_person_percent_value').attr('disabled', 'disabled');
		$('#monthly_person_percent_max').attr('disabled', 'disabled');
	} else {
		$('#monthly_person_fix_value').attr('disabled', 'disabled');
		$('#monthly_person_percent_value').attr('disabled', false);
		$('#monthly_person_percent_max').attr('disabled', false);
	}

	// 月額維持費（法人）
	if($("input[name='monthly_corp']:checked").val() == '0') {
		$('#monthly_corp_fix_value').attr('disabled', false);
		$('#monthly_corp_percent_value').attr('disabled', 'disabled');
		$('#monthly_corp_percent_max').attr('disabled', 'disabled');
	} else {
		$('#monthly_corp_fix_value').attr('disabled', 'disabled');
		$('#monthly_corp_percent_value').attr('disabled', false);
		$('#monthly_corp_percent_max').attr('disabled', false);
	}

	// 入金（個人）
	if($("input[name='deposit_person']:checked").val() == '0') {
		$('#deposit_person_fix_value').attr('disabled', false);
		$('#deposit_person_percent_value').attr('disabled', 'disabled');
		$('#deposit_person_percent_max').attr('disabled', 'disabled');
	} else {
		$('#deposit_person_fix_value').attr('disabled', 'disabled');
		$('#deposit_person_percent_value').attr('disabled', false);
		$('#deposit_person_percent_max').attr('disabled', false);
	}

	// 入金（法人）
	if($("input[name='deposit_corp']:checked").val() == '0') {
		$('#deposit_corp_fix_value').attr('disabled', false);
		$('#deposit_corp_percent_value').attr('disabled', 'disabled');
		$('#deposit_corp_percent_max').attr('disabled', 'disabled');
	} else {
		$('#deposit_corp_fix_value').attr('disabled', 'disabled');
		$('#deposit_corp_percent_value').attr('disabled', false);
		$('#deposit_corp_percent_max').attr('disabled', false);
	}
	

	$('#withdraw_success_person_fix_value').attr('disabled', 
			!$("input[name='withdraw_success_person1']:checked").val());
	
	$('#withdraw_success_person_percent_value').attr('disabled', 
			!$("input[name='withdraw_success_person2']:checked").val());
	
	changeDisableCheck('withdraw_success_person_percent', 'withdraw_success_person_percent', '2');
	
	// 出金（成功時）（個人）
	/*if($("input[name='withdraw_success_person1']:checked").val() == '0') {
		$('#withdraw_success_person_fix_value').attr('disabled', false);
		$('#withdraw_success_person_percent_value').attr('disabled', 'disabled');
		$('#withdraw_success_person_percent_max').attr('disabled', 'disabled');
	} else {
		$('#withdraw_success_person_fix_value').attr('disabled', 'disabled');
		$('#withdraw_success_person_percent_value').attr('disabled', false);
		$('#withdraw_success_person_percent_max').attr('disabled', false);
	}*/

	$('#withdraw_success_corp_fix_value').attr('disabled', 
			!$("input[name='withdraw_success_corp1']:checked").val());
	
	$('#withdraw_success_corp_percent_value').attr('disabled', 
			!$("input[name='withdraw_success_corp2']:checked").val());
	
	changeDisableCheck('withdraw_success_corp_percent', 'withdraw_success_corp_percent', '2');
	
	// 出金（成功時）（法人）
	/*if($("input[name='withdraw_success_corp']:checked").val() == '0') {
		$('#withdraw_success_corp_fix_value').attr('disabled', false);
		$('#withdraw_success_corp_percent_value').attr('disabled', 'disabled');
		$('#withdraw_success_corp_percent_max').attr('disabled', 'disabled');
	} else {
		$('#withdraw_success_corp_fix_value').attr('disabled', 'disabled');
		$('#withdraw_success_corp_percent_value').attr('disabled', false);
		$('#withdraw_success_corp_percent_max').attr('disabled', false);
	}*/
	
	$('#withdraw_refund_person_fix_value').attr('disabled', 
			!$("input[name='withdraw_refund_person1']:checked").val());
	$('#withdraw_refund_person_percent_value').attr('disabled', 
			!$("input[name='withdraw_refund_person2']:checked").val());
	
	changeDisableCheck('withdraw_refund_person_percent', 'withdraw_refund_person_percent', '2');
	
	// 出金（失敗時）（個人）
	/*if($("input[name='withdraw_refund_person']:checked").val() == '0') {
		$('#withdraw_refund_person_fix_value').attr('disabled', false);
		$('#withdraw_refund_person_percent_value').attr('disabled', 'disabled');
		$('#withdraw_refund_person_percent_max').attr('disabled', 'disabled');
	} else {
		$('#withdraw_refund_person_fix_value').attr('disabled', 'disabled');
		$('#withdraw_refund_person_percent_value').attr('disabled', false);
		$('#withdraw_refund_person_percent_max').attr('disabled', false);
	}*/

	$('#withdraw_refund_person_fix_value').attr('disabled', 
			!$("input[name='withdraw_refund_person1']:checked").val());
	$('#withdraw_refund_person_percent_value').attr('disabled', 
			!$("input[name='withdraw_refund_person2']:checked").val());
	
	changeDisableCheck('withdraw_refund_person_percent', 'withdraw_refund_person_percent', '2');
	
	// 出金（失敗時）（法人）
	/*if($("input[name='withdraw_refund_corp']:checked").val() == '0') {
		$('#withdraw_refund_corp_fix_value').attr('disabled', false);
		$('#withdraw_refund_corp_percent_value').attr('disabled', 'disabled');
		$('#withdraw_refund_corp_percent_max').attr('disabled', 'disabled');
	} else {
		$('#withdraw_refund_corp_fix_value').attr('disabled', 'disabled');
		$('#withdraw_refund_corp_percent_value').attr('disabled', false);
		$('#withdraw_refund_corp_percent_max').attr('disabled', false);
	}*/
	
	$('#withdraw_refund_corp_fix_value').attr('disabled', 
			!$("input[name='withdraw_refund_corp1']:checked").val());
	$('#withdraw_refund_person_percent_value').attr('disabled', 
			!$("input[name='withdraw_refund_corp2']:checked").val());
	
	changeDisableCheck('withdraw_refund_corp_percent', 'withdraw_refund_corp_percent', '2');

	// 口座間振替（個人→法人）
	if($("input[name='transfer_c_to_b']:checked").val() == '0') {
		$('#transfer_c_to_b_fix_value').attr('disabled', false);
		$('#transfer_c_to_b_percent_value').attr('disabled', 'disabled');
		$('#transfer_c_to_b_percent_max').attr('disabled', 'disabled');
	} else {
		$('#transfer_c_to_b_fix_value').attr('disabled', 'disabled');
		$('#transfer_c_to_b_percent_value').attr('disabled', false);
		$('#transfer_c_to_b_percent_max').attr('disabled', false);
	}

	// 口座間振替（個人→個人）
	if($("input[name='transfer_c_to_c']:checked").val() == '0') {
		$('#transfer_c_to_c_fix_value').attr('disabled', false);
		$('#transfer_c_to_c_percent_value').attr('disabled', 'disabled');
		$('#transfer_c_to_c_percent_max').attr('disabled', 'disabled');
	} else {
		$('#transfer_c_to_c_fix_value').attr('disabled', 'disabled');
		$('#transfer_c_to_c_percent_value').attr('disabled', false);
		$('#transfer_c_to_c_percent_max').attr('disabled', false);
	}

	// 口座間振替（法人→個人）
	if($("input[name='transfer_b_to_c']:checked").val() == '0') {
		$('#transfer_b_to_c_fix_value').attr('disabled', false);
		$('#transfer_b_to_c_percent_value').attr('disabled', 'disabled');
		$('#transfer_b_to_c_percent_max').attr('disabled', 'disabled');
	} else {
		$('#transfer_b_to_c_fix_value').attr('disabled', 'disabled');
		$('#transfer_b_to_c_percent_value').attr('disabled', false);
		$('#transfer_b_to_c_percent_max').attr('disabled', false);
	}

	// 口座間振替（法人→法人）
	if($("input[name='transfer_b_to_b']:checked").val() == '0') {
		$('#transfer_b_to_b_fix_value').attr('disabled', false);
		$('#transfer_b_to_b_percent_value').attr('disabled', 'disabled');
		$('#transfer_b_to_b_percent_max').attr('disabled', 'disabled');
	} else {
		$('#transfer_b_to_b_fix_value').attr('disabled', 'disabled');
		$('#transfer_b_to_b_percent_value').attr('disabled', false);
		$('#transfer_b_to_b_percent_max').attr('disabled', false);
	}

	// 休止（個人）
	if($("input[name='domant_person']:checked").val() == '0') {
		$('#domant_person_fix_value').attr('disabled', false);
		$('#domant_person_percent_value').attr('disabled', 'disabled');
		$('#domant_person_percent_max').attr('disabled', 'disabled');
	} else {
		$('#domant_person_fix_value').attr('disabled', 'disabled');
		$('#domant_person_percent_value').attr('disabled', false);
		$('#domant_person_percent_max').attr('disabled', false);
	}

	// 休止（法人）
	if($("input[name='domant_corp']:checked").val() == '0') {
		$('#domant_corp_fix_value').attr('disabled', false);
		$('#domant_corp_percent_value').attr('disabled', 'disabled');
		$('#domant_corp_percent_max').attr('disabled', 'disabled');
	} else {
		$('#domant_corp_fix_value').attr('disabled', 'disabled');
		$('#domant_corp_percent_value').attr('disabled', false);
		$('#domant_corp_percent_max').attr('disabled', false);
	}

	// 削除（個人）
	if($("input[name='delete_person']:checked").val() == '0') {
		$('#delete_person_fix_value').attr('disabled', false);
		$('#delete_person_percent_value').attr('disabled', 'disabled');
		$('#delete_person_percent_max').attr('disabled', 'disabled');
	} else {
		$('#delete_person_fix_value').attr('disabled', 'disabled');
		$('#delete_person_percent_value').attr('disabled', false);
		$('#delete_person_percent_max').attr('disabled', false);
	}

	// 削除（法人）
	if($("input[name='delete_corp']:checked").val() == '0') {
		$('#delete_corp_fix_value').attr('disabled', false);
		$('#delete_corp_percent_value').attr('disabled', 'disabled');
		$('#delete_corp_percent_max').attr('disabled', 'disabled');
	} else {
		$('#delete_corp_fix_value').attr('disabled', 'disabled');
		$('#delete_corp_percent_value').attr('disabled', false);
		$('#delete_corp_percent_max').attr('disabled', false);
	}

	// Card Deposit （Individual）
	if($("input[name='card_deposit_person']:checked").val() == '0') {
		$('#card_deposit_person_fix_value').attr('disabled', false);
		$('#card_deposit_person_percent_value').attr('disabled', 'disabled');
		$('#card_deposit_person_percent_max').attr('disabled', 'disabled');
	} else {
		$('#card_deposit_person_fix_value').attr('disabled', 'disabled');
		$('#card_deposit_person_percent_value').attr('disabled', false);
		$('#card_deposit_person_percent_max').attr('disabled', false);
	}
	
	// Card Deposit （Corporate）
	if($("input[name='card_deposit_corp']:checked").val() == '0') {
		$('#card_deposit_corp_fix_value').attr('disabled', false);
		$('#card_deposit_corp_percent_value').attr('disabled', 'disabled');
		$('#card_deposit_corp_percent_max').attr('disabled', 'disabled');
	} else {
		$('#card_deposit_corp_fix_value').attr('disabled', 'disabled');
		$('#card_deposit_corp_percent_value').attr('disabled', false);
		$('#card_deposit_corp_percent_max').attr('disabled', false);
	}
	
	// ターゲット指定の場合フォーカスする
	if(target != undefined) {
		$('#' + target).focus();
	}
}

function releaseDisable() {

	// 月額維持費（個人）
	$('#monthly_person_fix_value').attr('disabled', false);
	$('#monthly_person_percent_value').attr('disabled', false);
	$('#monthly_person_percent_max').attr('disabled', false);

	// 月額維持費（法人）
	$('#monthly_corp_fix_value').attr('disabled', false);
	$('#monthly_corp_percent_value').attr('disabled', false);
	$('#monthly_corp_percent_max').attr('disabled', false);

	// 入金（個人）
	$('#deposit_person_fix_value').attr('disabled', false);
	$('#deposit_person_percent_value').attr('disabled', false);
	$('#deposit_person_percent_max').attr('disabled', false);

	// 入金（法人）
	$('#deposit_corp_fix_value').attr('disabled', false);
	$('#deposit_corp_percent_value').attr('disabled', false);
	$('#deposit_corp_percent_max').attr('disabled', false);

	// 出金（成功時）（個人）
	$('#withdraw_success_person_fix_value').attr('disabled', false);
	$('#withdraw_success_person_percent_value').attr('disabled', false);
	$('#withdraw_success_person_percent_max').attr('disabled', false);

	// 出金（成功時）（法人）
	$('#withdraw_success_corp_fix_value').attr('disabled', false);
	$('#withdraw_success_corp_percent_value').attr('disabled', false);
	$('#withdraw_success_corp_percent_max').attr('disabled', false);

	// 出金（失敗時）（個人）
	$('#withdraw_refund_person_fix_value').attr('disabled', false);
	$('#withdraw_refund_person_percent_value').attr('disabled', false);
	$('#withdraw_refund_person_percent_max').attr('disabled', false);

	// 出金（失敗時）（法人）
	$('#withdraw_refund_corp_fix_value').attr('disabled', false);
	$('#withdraw_refund_corp_percent_value').attr('disabled', false);
	$('#withdraw_refund_corp_percent_max').attr('disabled', false);

	// 口座間振替（個人→法人）
	$('#transfer_c_to_b_fix_value').attr('disabled', false);
	$('#transfer_c_to_b_percent_value').attr('disabled', false);
	$('#transfer_c_to_b_percent_max').attr('disabled', false);

	// 口座間振替（個人→個人）
	$('#transfer_c_to_c_fix_value').attr('disabled', false);
	$('#transfer_c_to_c_percent_value').attr('disabled', false);
	$('#transfer_c_to_c_percent_max').attr('disabled', false);

	// 口座間振替（法人→個人）
	$('#transfer_b_to_c_fix_value').attr('disabled', false);
	$('#transfer_b_to_c_percent_value').attr('disabled', false);
	$('#transfer_b_to_c_percent_max').attr('disabled', false);

	// 口座間振替（法人→法人）
	$('#transfer_b_to_b_fix_value').attr('disabled', false);
	$('#transfer_b_to_b_percent_value').attr('disabled', false);
	$('#transfer_b_to_b_percent_max').attr('disabled', false);

	// 休止（個人）
	$('#domant_person_fix_value').attr('disabled', false);
	$('#domant_person_percent_value').attr('disabled', false);
	$('#domant_person_percent_max').attr('disabled', false);

	// 休止（法人）
	$('#domant_corp_fix_value').attr('disabled', false);
	$('#domant_corp_percent_value').attr('disabled', false);
	$('#domant_corp_percent_max').attr('disabled', false);

	// 削除（個人）
	$('#delete_person_fix_value').attr('disabled', false);
	$('#delete_person_percent_value').attr('disabled', false);
	$('#delete_person_percent_max').attr('disabled', false);

	// 削除（法人）
	$('#delete_corp_fix_value').attr('disabled', false);
	$('#delete_corp_percent_value').attr('disabled', false);
	$('#delete_corp_percent_max').attr('disabled', false);

	$('#card_deposit_person_fix_value').attr('disabled', false);
	$('#card_deposit_person_percent_value').attr('disabled', false);
	$('#card_deposit_person_percent_max').attr('disabled', false);
	
	$('#card_deposit_corp_fix_value').attr('disabled', false);
	$('#card_deposit_corp_percent_value').attr('disabled', false);
	$('#card_deposit_corp_percent_max').attr('disabled', false);
}

/**
 * 有効・無効の切り替え
 */
function changeDisableCheck(obj, target, flg) {

	if($('#' + obj).prop('checked')) {	// チェックをした

		if(flg == '1') {			// 確定額
			$('#' + target).prop('disabled', false);
		} else if(flg == '2') {		// パーセンテージ
			$('#' + target + '_min').prop('disabled', false);
			$('#' + target + '_max').prop('disabled', false);
			$('#' + target + '_value').prop('disabled', false);
		}
	} else {							// チェックを外した

		if(flg == '1') {			// 確定額
			$('#' + target).prop('disabled', true);
		} else if(flg == '2') {		// パーセンテージ
			$('#' + target + '_min').prop('disabled', true);
			$('#' + target + '_max').prop('disabled', true);
			$('#' + target + '_value').prop('disabled', true);
		}
	}
}
